package myUtil;

public class calculationUtil {

	/**
	 * 計算処理を行う場合はこのフラグをチェックします。
	 * @return 自動計算をするかをチェックします。
	 */
	public static boolean checkCalculation(String swift) {
		return false;
	}

	/**
	 * @param a
	 * @param b
	 * @return 加算（整数のみ）
	 */
	public static String calResultPlusInt(int a, int b) {
		return String.valueOf(a + b);
	}

	/**
	 * @param c
	 * @param d
	 * @return 加算（小数点込）
	 */
	public static String calResultPlusFloatInc(float c, float d) {
		return String.valueOf(c + d);
	}

	/**
	 * @param a
	 * @param b
	 * @return 減算（整数のみ）
	 */
	public static String calResultMinusInt(int a, int b) {
		return String.valueOf(a - b);
	}

	/**
	 * @param c
	 * @param d
	 * @return 減算（小数点込）
	 */
	public static String calResultMinusFloatInc(float c, float d) {
		return String.valueOf(c - d);
	}

	/**
	 * @param a
	 * @param b
	 * @return 掛算（整数のみ）
	 */
	public static String calResultMultiInt(int a, int b) {
		return String.valueOf(a * b);
	}

	/**
	 * @param c
	 * @param d
	 * @return 減算（小数点込）
	 */
	public static String calResultMultiFloatInc(float c, float d) {
		return String.valueOf(c * d);
	}

	/**
	 * @param a
	 * @param b
	 * @return 割算（整数のみ）
	 */
	public static String calResultDivideInt(int a, int b) {
		return String.valueOf(a / b);
	}

	/**
	 * @param c
	 * @param d
	 * @return 割算（小数点込）
	 */
	public static String calResultDivideFloatInc(float c, float d) {
		return String.valueOf(c / d);
	}

}
